Apple

Message on the Mac: “You need to update the software to connect with your iOS device”


Some users ask us about “this update” that appears on their Mac when they have to connect an iOS device, be it an iPhone, iPad or an iPad Touch. It is a software update that appears frequently in those users who They connect their devices to the Mac and they have a version of macOS 10.11 installed or earlier.

The update can appear simultaneously on numerous occasions and more when iOS devices are updated to the latest version available. In order for the Mac to recognize these devices, it is necessary to perform the update It won’t take long, it will depend on the connection you have.

In addition to this action, it is necessary to grant permissions for the iOS device to connect to the Mac, on numerous occasions it happens that after such a long time these permissions have to be granted again and you have to click on the option «trust the team» to be able to connect. The image that we see above these lines is the one that appears on the Mac for us to update.

Once the installation is done, we simply have to follow the steps to synchronize the iOS device that we have connected to the Mac, it is simple and fast you will not have problems. In the event that this warning continues to appear, it is that your computer is not updated to the latest version available and you may even need to update iTunes, if you continue to use this software.

In the event that all of this continues to be unsuccessful, you can perform the following action:

  1. Connect the iOS or iPadOS device and make sure it is unlocked and on the home screen
  2. On your Mac, hold down the Option key, click the Apple menu, and select System Information or System Report
  3. In the list on the left, select USB
  4. If you see your iPhone, iPad, or iPod in the USB device tree, get the latest version of macOS or install the latest updates. If you don’t see your device or you still need help, contact Apple Support

Related Articles